Could not load type 'System.Runtime.CompilerServices.ExtensionAttribute' from assembly 'mscorlib

Dec 11, 2013 at 12:23 PM
I have a project, base on framework 4.0, using WWF and SharpMap(1.0.4.1) and Brutile(0.7.4), import by nuget, if there is no framework 4.5 install in my computer, run the application and init WWF will occurt exception like the title, if I update Brutile to version 0.8.4, this exception will not occurt, but SharpMap cann't support this version, I try to checkout Brutile's source code on this site, but failed, what can I do to fix it? I really need help.
Coordinator
Dec 11, 2013 at 2:38 PM
Here is a similar report:
https://brutile.codeplex.com/discussions/463396
Because of that I removed ILMerge from 0.8.4.

This should also be done in the 0.7 branch.